=== debian/control ===
Source: lua-bitop
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 8.1.3), lua5.1-policy-dev (>= 32), quilt (>= 0.40)
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-bitop
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-bitop
Homepage: http://bitop.luajit.org

Package: liblua5.1-bitop0
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: liblua5.1-bit0
Description: fast bit manipulation library for the Lua language version 5.1
 This package contains the Lua bitop fast bit manipulation library.

Package: liblua5.1-bitop-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Section: libdevel
Depends: liblua5.1-bitop0 (= ${binary:Version}), ${misc:Depends}
Description: fast bit manipulation library devel files for the Lua language version 5.1
 This package contains the development files of the Lua bitop fast bit
 manipulation library, useful to create a statically linked binary (like a C
 application or a standalone Lua interpreter).  Documentation is also shipped
 within this package.
