## lua-bitop 1.0.2

=== debian/changelog ===
lua-bitop (1.0.2-6) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #995502)

 -- Marcos Talau <talau@debian.org>  Tue, 15 Nov 2022 06:56:23 -0300

lua-bitop (1.0.2-5) unstable; urgency=medium

  * Team upload.
  * Drop luasandbox support as the package is going away (see #891191).

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 23 Feb 2018 12:29:27 +0100

lua-bitop (1.0.2-4) unstable; urgency=medium

  * Team upload.
  * Add luasandbox support.
  * Replace multiarch-support by ${misc:Pre-Depends}.
    This requires debhelper >= 9.

 -- Mathieu Parent <sathieu@debian.org>  Sun, 18 Dec 2016 22:52:32 +0100

lua-bitop (1.0.2-3) unstable; urgency=medium

  * Rebuild against Lua 5.1.5-7 (Closes: #723484)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 30 Aug 2014 21:54:49 +0200

lua-bitop (1.0.2-2) unstable; urgency=low

  * Packaging moved to git

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 08 May 2012 22:54:03 +0200

lua-bitop (1.0.2-1) unstable; urgency=low

  * New upstream release supporting Lua 5.2

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 01 May 2012 10:57:47 +0200

lua-bitop (1.0.1-6) unstable; urgency=low

  * Switch to dh-lua
  * Packages renamed according to the new Lua policy 
  * copyright format 1.0
  * debian/compat set to 8

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 01 May 2012 10:47:37 +0200
