=== debian/changelog ===
lua-bitop (1.0.3-3) unstable; urgency=low

  * Add Lua 5.5 to the list of versions to build the package.
  * Bump version in the debian/watch uscan control file to 4.
  * Bump the standards version to 4.7.3.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 03 Mar 2026 19:36:22 +0300

lua-bitop (1.0.3-2) unstable; urgency=medium

  * Team upload.
  * Drop lua5.2 support.

 -- Bastian Germann <bage@debian.org>  Tue, 30 Dec 2025 13:25:31 +0100

lua-bitop (1.0.3-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 10 Aug 2025 11:45:23 +0300

lua-bitop (1.0.2-7) unstable; urgency=medium
 
  * Set maintainer to Debian Lua Team, and uploader to myself (closes: #995502).
  * Fix the package Git URL.
  * Add a patch which ports lua-bitop to Lua 5.3 and 5.4.
  * Drop transitional packages liblua5.1-bitop0 and liblua5.1-bitop-dev
    (closes: #878688).
  * Add a patch which fixes FTBFS on GNU/Hurd (closes: #765296).
  * Fix requirements in the pkgconfig script (closes: #833358).
  * Bump debhelper compatibility level to 13.
  * Bump standards version to 4.6.2.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 27 Jan 2023 15:47:53 +0300
