=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: lua-bitop
 Section: interpreters
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9), dh-lua
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/pkg-lua/lua-bitop.git
-Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-bitop.git
+Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
+Uploaders: Sergei Golovan <sgolovan@debian.org>
+Build-Depends: debhelper-compat (= 13), dh-lua (>= 36)
+Standards-Version: 4.7.3
 Homepage: http://bitop.luajit.org
+Vcs-Git: https://salsa.debian.org/lua-team/lua-bitop.git
+Vcs-Browser: https://salsa.debian.org/lua-team/lua-bitop
 
 Package: lua-bitop
 Architecture: any
@@ -35,21 +36,3 @@
  manipulation library, useful to create a statically linked binary (like a C
  application or a standalone Lua interpreter).  Documentation is also shipped
  within this package.
-
-Package: liblua5.1-bitop0
-Section: oldlibs
-Priority: extra
-Architecture: all
-Depends: ${misc:Depends}, lua-bitop
-Description: Transitional package for lua-bitop
- This is a transitional package to ease upgrades to the lua-bitop
- package. It can safely be removed.
-
-Package: liblua5.1-bitop-dev
-Section: oldlibs
-Priority: extra
-Architecture: all
-Depends: ${misc:Depends}, lua-bitop-dev
-Description: Transitional package for lua-bitop-dev
- This is a transitional package to ease upgrades to the lua-bitop-dev
- package. It can safely be removed.
